Skip to main content
POST
/
utils
/
context-packs
/
{name}
/
memories
Add a memory to a context pack
curl --request POST \
  --url https://api.example.com/utils/context-packs/{name}/memories \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "content": {
    "text": "<string>",
    "type": "text"
  },
  "source": {
    "type": "<string>",
    "conversation_id": "<string>",
    "turn_index": 123,
    "actor": "<string>",
    "confidence": 0.5,
    "document_url": "<string>"
  },
  "asset_fqn": "<string>",
  "content_url": "<string>",
  "search_text": "<string>",
  "classification": {
    "domain": "<string>",
    "priority": "normal",
    "tags": [
      "<string>"
    ],
    "sensitivity": "<string>"
  },
  "meta_data": {},
  "expires_at": "2023-11-07T05:31:56Z",
  "pinned": false
}
'
{
  "id": "<string>",
  "name": "<string>",
  "organization_id": "<string>",
  "project_id": "<string>",
  "context_pack_id": "<string>",
  "version": 123,
  "content": {},
  "source": {
    "type": "<string>",
    "conversation_id": "<string>",
    "turn_index": 123,
    "actor": "<string>",
    "confidence": 0.5,
    "document_url": "<string>"
  },
  "classification": {
    "domain": "<string>",
    "priority": "normal",
    "tags": [
      "<string>"
    ],
    "sensitivity": "<string>"
  },
  "meta_data": {},
  "quality": {
    "validation_status": "unvalidated",
    "confidence_score": 0.5,
    "validated_by": "<string>",
    "validated_at": "2023-11-07T05:31:56Z"
  },
  "access": {
    "count": 0,
    "last_accessed": "2023-11-07T05:31:56Z",
    "success_count": 0,
    "failure_count": 0,
    "success_rate": 123
  },
  "pinned": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "asset_fqn": "<string>",
  "content_url": "<string>",
  "search_text": "<string>",
  "superseded_by": "<string>",
  "pinned_at": "2023-11-07T05:31:56Z",
  "unpinned_at": "2023-11-07T05:31:56Z",
  "archived_at": "2023-11-07T05:31:56Z",
  "deleted_at": "2023-11-07T05:31:56Z",
  "superseded_at": "2023-11-07T05:31:56Z",
  "reactivated_at": "2023-11-07T05:31:56Z",
  "expires_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.emergence.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Project-ID
string | null

Path Parameters

name
string
required

Context pack name

Body

application/json

Request to create a new memory.

name
string
required

Human-readable name, unique within context pack

Required string length: 1 - 255
Pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.:-]*$
content
TextContent · object
required

Plain text memory content.

memory_type
enum<string>
required

Type of memory

Available options:
fact,
experience,
observation,
instruction,
preference,
summary,
glossary,
ontology,
textual_pattern,
kpi,
exemplar,
join,
numeric_pattern,
policy
source
MemorySourceInfo · object
required

Source information

asset_fqn
string | null

Dot-separated catalog asset FQN this memory describes (e.g. service.database.schema.table)

Required string length: 1 - 512
content_url
string | null

Optional URL to external content

Maximum string length: 2000
search_text
string | null

Text for full-text search

classification
MemoryClassificationInfo · object

Classification information

meta_data
Meta Data · object

User-defined metadata

expires_at
string<date-time> | null

Optional expiration time

pinned
boolean
default:false

Whether to pin the memory

Response

Successful Response

Full response model for a memory.

id
string
required

Memory ID

name
string
required

Memory name

organization_id
string
required

Organization ID

project_id
string
required

Project ID

context_pack_id
string
required

Parent context pack ID

version
integer
required

Version number

content
Content · object
required

Memory content

memory_type
enum<string>
required

Memory type

Available options:
fact,
experience,
observation,
instruction,
preference,
summary,
glossary,
ontology,
textual_pattern,
kpi,
exemplar,
join,
numeric_pattern,
policy
source
MemorySourceInfo · object
required

Source information

classification
MemoryClassificationInfo · object
required

Classification

meta_data
Meta Data · object
required

User-defined metadata

quality
MemoryQualityInfo · object
required

Quality information

access
MemoryAccessInfo · object
required

Access tracking (PLACEHOLDER)

status
enum<string>
required

Current status

Available options:
active,
superseded,
archived,
deleted
pinned
boolean
required

Whether pinned

created_at
string<date-time>
required

Creation timestamp

updated_at
string<date-time>
required

Last update timestamp

asset_fqn
string | null

Dot-separated catalog asset FQN

content_url
string | null

External content URL

search_text
string | null

Search text

superseded_by
string | null

ID of superseding memory

pinned_at
string<date-time> | null

Pin timestamp

unpinned_at
string<date-time> | null

Unpin timestamp

archived_at
string<date-time> | null

Archive timestamp

deleted_at
string<date-time> | null

Deletion timestamp

superseded_at
string<date-time> | null

Supersede timestamp

reactivated_at
string<date-time> | null

Reactivation timestamp

expires_at
string<date-time> | null

Expiration timestamp